> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/video.md).

# Video

- [JavaScript Video Annotation Library](https://docs.apryse.com/web/video/video.md): Enhance video collaboration with WebViewer Video, a powerful JavaScript library for annotating mp4, webm, and ogg videos frame by frame in the browser. Collaborate, review, and customize annotations s
- [Comparing videos](https://docs.apryse.com/web/video/video/comparing-videos.md): Compare videos side by side with WebViewer Video to easily identify differences. Follow our guide to integrate compare into your application seamlessly. The Apryse Web SDK streamlines secure, serverle
- [Open Videos using JavaScript](https://docs.apryse.com/web/video/open-video.md): Learn how to open videos in your web application using JavaScript with the @pdftron/webviewer-video package. Follow this guide to integrate video playback seamlessly into your web application. The Apr
- [Integrate Webviewer Audio using JavaScript](https://docs.apryse.com/web/video/integrate-audio.md): Integrate Webviewer Audio using JavaScript with ease. Learn how to seamlessly incorporate audio features into your web application. Explore a step-by-step guide for successful integration. The Apryse
- [Annotate videos](https://docs.apryse.com/web/video/annotate-videos.md): Cretae video annotation and attach them to specific timeframe with Webviewer. In this we will show how to add annotaion through UI as well as programatically.
- [Watermark videos using JavaScript](https://docs.apryse.com/web/video/watermark-videos.md): Watermark videos effortlessly with JavaScript using WebViewer Video. Learn how to add custom watermarks to your videos with the setWatermark API. Explore the guide now! The Apryse Web SDK streamlines
- [Create new UI for WebViewer Video](https://docs.apryse.com/web/video/custom-ui.md): Create a custom UI for WebViewer Video by accessing the HTML5 video element and APIs. Disable default controls with renderControls for a tailored viewing experience. Explore the API and example code.
- [Adaptive Streaming](https://docs.apryse.com/web/video/adaptive-streaming.md): Enhance your video streaming experience with adaptive streaming using WebViewer Video and Shaka Player. Learn how to create a dash file to optimize media quality based on network conditions and CPU us
- [Video Redaction](https://docs.apryse.com/web/video/video-redaction.md): Elevate your video redaction process with WebViewer Video. Discover how to integrate ffmpeg for seamless redaction of video frames using web. Follow our step-by-step guide for setting up a server and
- [Passing authentication headers to video HTTP requests](https://docs.apryse.com/web/video/authentication-headers.md): Pass custom headers to video HTTP requests with WebViewer Video's service workers. Authenticate videos on the server side for secure access. Learn how with this example. The Apryse Web SDK streamlines
- [Video Changelog](https://docs.apryse.com/web/video/changelog.md): Enhance your web experience with the latest updates in our Video Changelog. Stay informed about new features, fixes, and enhancements for seamless video management. The Apryse Web SDK streamlines secu


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/web/video.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
